package ru.myitschool.work.data.source

import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.PATCH
import retrofit2.http.Path
import ru.myitschool.work.data.dto.OpenQrDto
import ru.myitschool.work.data.dto.UserInfoDto

interface AccountApi {
    @GET("api/employee/info")
    suspend fun getInfo(
        @Header("Authorization") basicAuth: String
    ) : UserInfoDto

    @PATCH("api/employee/open")
    suspend fun openByQr(
        @Header("Authorization") basicAuth: String,
        @Body content: OpenQrDto
    )
}